<?php
function pixlerweb_css() {
	
	wp_enqueue_style( 'consultera-parent-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'pixlerweb-style', get_stylesheet_uri(), array( 'consultera-parent-style' ));
	
	wp_enqueue_style('pixlerweb-color-default',get_stylesheet_directory_uri() .'/css/default.css');
	wp_dequeue_style('consultera-color-default');
	
	wp_enqueue_style( 'owl-carousel-css', get_stylesheet_directory_uri() . '/js/owl-carousel/css/owl.carousel.min.css' );
	
	wp_enqueue_script( 'owl-carousel-scripts', get_stylesheet_directory_uri() . '/js/owl-carousel/js/owl.carousel.min.js', array( 'jquery' ) );
	
	wp_enqueue_script( 'pixlerweb-custom-script', get_stylesheet_directory_uri() . '/js/custom.js');
}
add_action( 'wp_enqueue_scripts', 'pixlerweb_css',999);

if ( is_admin() ) {

 require_once( get_stylesheet_directory(). '/inc/admin/pixlerweb-welcome.php' );
 }

require_once( get_stylesheet_directory(). '/inc/pixlerweb_info_widget.php' );
   	
// Add default posts and comments RSS feed links to head.

add_theme_support( 'automatic-feed-links' );

/* Let WordPress manage the document title. */

add_theme_support( 'title-tag' );
/**
 * All categories
 */
if ( ! function_exists( 'pixlerweb_all_categories' ) ) :
function pixlerweb_all_categories() {
	$Separate_meta = ', ';
	$categories_list = get_the_category_list($Separate_meta);

	if ( $categories_list ) {
		echo '<li class="post-category">' . $categories_list . '</li>';
	}
}
endif;


if ( ! function_exists( 'pixlerweb_get_tags' ) ) :
function pixlerweb_get_tags(){
	
/* translators: used between list items, there is a space after the comma */
	$tag_list = get_the_tag_list();
	if ( $tag_list ) {
	echo '<li class="ce-tags">' . $tag_list .'</li>';
	}
}
endif;



/**
 * Before Footer 
 */
function pixlerweb_footer_before(){
	do_action( 'pixlerweb_footer_before' );
}

/**
 * widget Footer 
 */
function pixlerweb_footer(){
	do_action( 'pixlerweb_footer' );
}

/**
 * After Footer 
 */
function pixlerweb_footer_after(){
	do_action( 'pixlerweb_footer_after' );
}

/**
 * Scroll to top button 
 */
function pixlerweb_scroll_to_top(){
	do_action( 'pixlerweb_scroll_to_top' );
}

function remove_some_widgets(){
 
    // Unregister some of the TwentyTen sidebars
   unregister_widget( 'Consultera_info_callout' );
  
}
add_action( 'widgets_init', 'remove_some_widgets', 11 );

/**
 * Function to get site Footer
 */
if ( ! function_exists( 'pixlerweb_footer_markup' ) ) {

	/**
	 * Site Footer - <footer>
	 */
	function pixlerweb_footer_markup() { ?>
		
		<!-- FOOTER SECTION START -->
		<footer class="main-footer">
			<div class="container">
				<div class="row">
					<?php if ( is_active_sidebar( 'footer-widget-1' ) ) : ?>
					<div class="col-md-4 col-12">
						<?php dynamic_sidebar( 'footer-widget-1' ); ?>	
					</div>
					<?php endif; 
					if ( is_active_sidebar( 'footer-widget-2' ) ) : ?>
					<div class="col-md-4 col-12">
						<?php dynamic_sidebar( 'footer-widget-2' ); ?>	
					</div>
					<?php endif; 
					if ( is_active_sidebar( 'footer-widget-3' ) ) : ?>
					<div class="col-md-4 col-12">
						<?php dynamic_sidebar( 'footer-widget-3' ); ?>	
					</div>
					<?php endif; ?>
				</div>
				<!-- #Footer bottom section -->
				
				
				<div class="copyright-wrapper">
				<div class="container">
					<div class="copyright-bar">
						<div class="col-md-12 col-sm-12 col-xs-12">
							
							<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'pixlerweb' ) ); ?>">
								<?php
								/* translators: placeholder replaced with string */
								printf( esc_html__( 'Proudly powered by %s', 'pixlerweb' ), 'WordPress' );
								?>
							</a>
							<span class="sep"> | </span>
							<?php
							/* translators: placeholder replaced with string */
							printf( esc_html__( 'Theme: %1$s by %2$s.', 'pixlerweb' ), 'PixlerWeb', '<a href="' . esc_url( __( 'https://wpazure.com/', 'pixlerweb' ) ) . '" rel="designer">Wpazure</a>' );
							?>		
				
						</div>
					</div>
				</div>
			</div>
				<!-- End of Footer bottom -->
			</div>
		</footer>
		<!-- FOOTER SECTION END -->
		
	<?php }

}

add_action( 'pixlerweb_footer', 'pixlerweb_footer_markup' );

add_filter('get_custom_logo','pixlerweb_logo_class');


	function pixlerweb_logo_class($html)
	{
	$html = str_replace('custom-logo-link', 'navbar-brand', $html);
	return $html;
	}
	

	

