<?php
/**
 * Add admin notice
*/


add_action( 'wp_ajax_dismiss_admin_notice', 'pixlerweb_dismiss_admin_notice' );
add_action( 'admin_enqueue_scripts', 'pixlerweb_welcome_static'  );



add_action('load-themes.php', 'activation_admin_notice');
function activation_admin_notice() {
			global $pagenow;
			if (is_admin() && ('themes.php' == $pagenow) && isset($_GET['activated'])) {
				add_action('admin_notices', 'welcome_admin_notice', 99);
			}
		}

		function welcome_admin_notice() {
			?>
			<div class="updated notice is-dismissible pixlerweb-admin-notice" data-notice="welcome_box">
			<h1><?php
			$theme_info = wp_get_theme();
			printf( esc_html__('Congratulations, Welcome to %1$s Theme', 'pixlerweb'), esc_html( $theme_info->Name ), esc_html( $theme_info->Version ) ); ?>
			</h1>
			<p><?php echo sprintf( esc_html__("Thank you for choosing PixlerWeb theme. To take full advantage of the complete features of the theme, you have to go to our %1\$s welcome page %2\$s.", "pixlerweb"), '<a href="' . esc_url( admin_url( 'themes.php?page=pixlerweb-welcome' ) ) . '">', '</a>' ); ?></p>
			
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=pixlerweb-welcome' ) ); ?>" class="button button-blue-secondary button_info" style="text-decoration: none;"><?php echo esc_html__('Get started with PixlerWeb','pixlerweb'); ?></a></p>
		</div>
			<?php
		}
 



/**
 * Load welcome screen script and css
 */
function pixlerweb_welcome_static() {
	
	
	wp_enqueue_script(
		'pixlerweb-install-demo',
		get_stylesheet_directory_uri() . '/inc/admin/js/install-demo.js',
		array('updates'),
		'1.0',
		true
	);
	

	// Welcome screen style.
	wp_enqueue_style('pixlerweb-admin-styles', get_stylesheet_directory_uri().'/inc/admin/css/pixlerweb-welcome.css');

}



add_action('admin_menu', 'pixlerweb_welcome_page');


// pixlerweb welcome page register
function pixlerweb_welcome_page() {
	$wpazure_page_title =  apply_filters( 'pixlerweb_menu_page_title', __( 'PixlerWeb Options', 'pixlerweb' ) );
    add_theme_page('PixlerWeb Theme Options', $wpazure_page_title, 'edit_theme_options', 'pixlerweb-welcome', 'pixlerweb_settings_page');
}

function pixlerweb_settings_page(){
	?>
  <div class="pixlerweb-admin wrap">
  	<?php	do_action( 'pixlerweb_settings_content' ); ?>
  </div><!-- /.wrap -->
  <?php
}


/**
 * Customizer settings link
 */
function pixlerweb_info_customizer_settings() {
	$customizer_settings = apply_filters(
		'pixlerweb_panel_customizer_settings',
		array(
			'upload_logo' => array(
				'icon'     => 'dashicons dashicons-format-image',
				'name'     => __( 'Upload Logo', 'pixlerweb' ),
				'type'     => 'control',
				'setting'  => 'custom_logo',
				'required' => '',
			),
			
			'home_section' => array(
				'icon'     => 'dashicons dashicons-admin-settings',
				'name'     => __( 'Home section settings', 'pixlerweb' ),
				'type'     => 'panel',
				'setting'  => 'homepage_sections',
				'required' => '',
			),
			
			'widget' => array(
				'icon'     => 'dashicons dashicons-tagcloud',
				'name'     => __( 'Widgets', 'pixlerweb' ),
				'type'     => 'section',
				'setting'  => 'sidebar-widgets-top-header-left',
				'required' => '',
			),
		)
	);

	return $customizer_settings;
}


add_action( 'pixlerweb_settings_content', 'pixlerweb_welcome_render_options_page' );

function pixlerweb_welcome_render_options_page() {  

$pixlerweb_url = 'https://wpazure.com';
			?>
	<div class="pixlerweb-options-wrap admin-welcome-screen">


				<div class="pixlerweb-enhance">
					<div class="pixlerweb-info-container">
						<div class="pixlerweb-enhance-content">
							<div class="pixlerweb-enhance__column pixlerweb-bundle">
								<h3><?php esc_html_e( 'Link to Customizer Settings', 'pixlerweb' ); ?></h3>
								<div class="pixlerweb-quick-setting-section">
									<ul class="pixlerweb-list">
									<?php
									foreach ( pixlerweb_info_customizer_settings() as $key ) {
										$url = get_admin_url() . 'customize.php?autofocus[' . $key['type'] . ']=' . $key['setting'];

										$disabled = '';
										$title    = '';
										if ( '' !== $key['required'] && ! class_exists( $key['required'] ) ) {
											$disabled = 'disabled';

											/* translators: 1: Class name */
											$title = sprintf( __( '%s not activated.', 'pixlerweb' ), ucfirst( $key['required'] ) );

											$url = '#';
										}
										?>

										<li class="link-to-customie-item <?php echo esc_attr( $disabled ); ?>" title="<?php echo esc_attr( $title ); ?>">
											<a class="wst-quick-setting-title wp-ui-text-highlight" href="<?php echo esc_url( $url ); ?>" target="_blank" rel="noopener">
												<span class="<?php echo esc_attr( $key['icon'] ); ?>"></span>
												<?php echo esc_html( $key['name'] ); ?>
											</a>
										</li>

									<?php } ?>
									</ul>
									
									
								</div>
							</div>

								
						
							
								<div class="pixlerweb-enhance__column pixlerweb-pro-featured pro-featured-list">
									<h3>
										<a class="pixlerweb-learn-more wp-ui-text-highlight" href="https://www.wpazure.com/consultera-pro/" target="_blank"><?php esc_html_e( 'Get The consultera Pro Version!', 'consultera' ); ?></a>
									</h3>

									<div class="pixlerweb-quick-setting-section">
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Top Header', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Multiple Slider Layout and Video Background', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Multiple Header & Footer Layout', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'About section', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Unlimited Servives', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Unlimited Portfolio', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Unlimited Testimonial', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Pricing Section', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Team section', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Client section', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( '17 Page Templates', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Multiple Portfolio Layouts', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Multiple Blog Layouts', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Theme section Layout Manager', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Theme Section Hooks', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Theme settings', 'pixlerweb' ); ?>
											</strong>
											
										</div>
										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Typography', 'pixlerweb' ); ?>
											</strong>
											
										</div>

										<div class="pro-featured-item">
											<strong class="pro-featured-name">
												<?php esc_html_e( 'Read more about pro', 'pixlerweb' ); ?>
											</strong>
											<p>
										<a href="<?php echo esc_url( $pixlerweb_url ); ?>/consultera-pro" class="pixlerweb-button button-primary" target="_blank"><?php esc_html_e( 'Read more', 'consultera' ); ?></a>
									</p>
										</div>
										
									</div>
								</div>
						</div>

						<div class="pixlerweb-enhance-sidebar">
							<?php do_action( 'pixlerweb_pro_panel_sidebar' ); ?>

							<div class="pixlerweb-enhance__column">
								<h3><?php esc_html_e( 'About Theme', 'pixlerweb' ); ?></h3>

								<div class="pixlerweb-quick-setting-section">
									<img src="<?php echo esc_url(  get_stylesheet_directory_uri(). '/images/banner.jpg' ); ?>" alt="pixlerweb Banner" />

									<p>
										<?php esc_html_e( 'pixlerweb is a modern,responsive and fully customizable lightning fast WordPress theme for professionals. This theme comes with a stunning COOL & BEAUTIFUL LOOK, SERVICE SECTION, PORTFOLIO SECTION, TESTIMONIAL SECTION, WOOCOMMERCE PRODUCT SECTION, CALL TO ACTION SECTION, BLOG POST SECTION. ', 'pixlerweb' ); ?>
									</p>

									<a href="<?php echo esc_url( admin_url( 'customize.php' ) ); ?>" class="pixlerweb-button button-primary " target="_blank"><?php echo esc_html__( 'Go to customizer', 'pixlerweb' ); ?></a>
		
								</div>
							</div>
							
							<div class="pixlerweb-enhance__column">
								<h3><?php esc_html_e( 'Recommend Plugins', 'pixlerweb' ); ?></h3>
								
								
								<?php
									$plugin_slug = 'wpazure-kit';
									$slug        = 'wpazure-kit/wpazure-kit.php';
									$redirect    = admin_url( 'admin.php?page=pixlerweb-welcome' );
									$nonce       = add_query_arg(
										array(
											'action'        => 'activate',
											'plugin'        => rawurlencode( $slug ),
											'plugin_status' => 'all',
											'paged'         => '1',
											'_wpnonce'      => wp_create_nonce( 'activate-plugin_' . $slug ),
										),
										network_admin_url( 'plugins.php' )
									);

									// Check pixlerweb Sites status.
									$type = 'install';
									if ( file_exists( ABSPATH . 'wp-content/plugins/' . $plugin_slug ) ) {
										$activate = is_plugin_active( $plugin_slug . '/wpazure-kit.php' ) ? 'activate' : 'deactivate';
										$type = $activate;
									}

									
									$button = '<a href="' . esc_url( admin_url( 'customize.php' ) ) . '" class="pixlerweb-button " target="_blank">' . esc_html__( 'Plugin activated', 'pixlerweb' ) . '</a>';

									
									if ( ! defined( 'WPAZURE_KIT_VERSION' ) ) {
										if ( 'deactivate' == $type ) {
											$button = '<a data-redirect="' . esc_url( $redirect ) . '" data-slug="' . esc_attr( $slug ) . '" class="pixlerweb-button button pixlerweb-active-now" href="' . esc_url( $nonce ) . '">' . esc_html__( 'Activate', 'pixlerweb' ) . '</a>';
										} else {
											$button = '<a data-redirect="' . esc_url( $redirect ) . '" data-slug="' . esc_attr( $plugin_slug ) . '" href="' . esc_url( $nonce ) . '" class="pixlerweb-button install-now button pixlerweb-install-demo">' . esc_html__( 'Install Wpazure kit', 'pixlerweb' ) . '</a>';
										}
									}

									// Data.
									wp_localize_script(
										'pixlerweb-install-demo',
										'pixlerweb_install_demo',
										array(
											'activating' => esc_html__( 'Activating', 'pixlerweb' ),
										)
									);
									?>
									<div class="pixlerweb-quick-setting-section">
										<p>
											<?php echo $button; // WPCS: XSS ok. ?>
										</p>
									</div>

								
							</div>

							<div class="pixlerweb-enhance__column">
								<h3><?php esc_html_e( 'Learn More', 'pixlerweb' ); ?></h3>

								<div class="pixlerweb-quick-setting-section">
									<p>
										<?php esc_html_e( 'Want to know more about pixlerweb? Click on the below link to read full detail.', 'pixlerweb' ); ?>
									</p>

									<p>
										<a href="<?php echo esc_url( $pixlerweb_url ); ?>/pixlerweb-free/" class="pixlerweb-button"><?php esc_html_e( 'Visit Us', 'pixlerweb' ); ?></a>
									</p>
								</div>
							</div>
							
							
						</div>
					</div>
				</div>
			</div>
	
<?php }
